const DEBUG = false;

export const getEnumValueFromIndex = (enumObject, index) => {
    return Object.values(enumObject)[index];
};

export const getEnumIndexFromValue = (enumObject, value) => {
    return Object.values(enumObject).indexOf(value);
};

export const getEnumKeyFromValue = (enumObject, value) => {
    return Object.keys(enumObject).find((key) => enumObject[key] === value);
};

export const getHcf = (a, b) => {
    if (b === 0)
        return a;
    return getHcf(b, a % b);
};

export const isBitSet = (num, bit) => {
    return (num & (1 << bit)) !== 0;
};

export const errorLog = (...args) => {
    console.error("[Wallhub]", "Error:", ...args);
};

export const debugLog = (...args) => {
    if (DEBUG) {
        console.log("[Wallhub]", ...args);
    }
};

export const handleCatch = (error) => {
    errorLog(error);
    return null;
};
